#!/usr/bin/env python

"""
Command utility to examine a SEGY file

     Copyright (C) 2005  Kurt Schwehr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

$Id: segydump.py,v 1.3 2005/06/02 23:43:22 schwehr Exp $
"""
import os
import sys

from segy import Segy
import segy

from optparse import OptionParser

# What version do we want to track?  This would be for cvs of this file
vcvs = "$Revision: 1.3 $"
vcvs = vcvs[vcvs.find(':')+2:]
vcvs = vcvs[:vcvs.find('$')-1]
version_cvs = vcvs
del (vcvs) # stop polution

# Track the version of segy-py.  If I use setup.py, which one gets imported?
from segy_version import VERSION

parser = OptionParser(usage="$prog [options] segyfile1 segyfile2 ... segyfileN",
                      version="%prog "+VERSION+' - '+version_cvs)

parser.add_option('-d','--driver',dest="drv",help="specify which driver to parse data file",default="segy_drv_rev1")
parser.add_option('-n',"--noFileHeader",action="store_false",dest='fileHeader',
                  help="see the file header fields",default=True)
parser.add_option('-t','--traceHeader',action="store",dest='traceHeaderNumber',
                  help='Set this to view values for a trace header',default=None, type='int')

if __name__ == '__main__':
    (options,args) = parser.parse_args()
    #print options
    #print args # Args has the unprocessed arg values ... other files to read
    for filename in args:
        print '\n########################################'
        print 'filename="'+filename+'"'
        print '########################################'
        s = Segy(filename=filename,drivername=options.drv)

        if options.fileHeader:
            print '\n# FILE HEADER'
            s.header.printBinaryHeaders()

        if options.traceHeaderNumber:
            print '\n# TRACE HEADER',options.traceHeaderNumber
            s.getTraceHdr(options.traceHeaderNumber).printHeader()
